<template>
  <div class="nav-bar"></div>

  <div class="cart">Cart({{ cart.length }})</div>
  <product-display-form
    :premium="premium"
    @add-to-cart="updateCart"
  ></product-display-form>
</template>

<script>
import ProductDisplayForm from '@/components/ProductDisplayForm'
export default {
    data() {
        return {
            cart: [],
            premium: true
        }
    },
    methods: {
        updateCart(id) {
            this.cart.push(id)
        }
    },
    components:{
        ProductDisplayForm
    }
}
</script>
